unit uPluginMontajesDetalle;

interface

uses
  uModuleController, uInterfaces, uHostManager, Menus, Classes, ActnList,
  ImgList, Controls, PngImageList;

type
  IMCMontajesDetalle = interface(IInterface)
  ['{DF1C5967-791E-4B7A-852D-28F476E505AF}']
  end;

  TPluginMontajesDetalle = class(TModuleController, IMCMontajesDetalle)
    actMontajesDetalle: TAction;
    ExtraImages: TPngImageList;
    LargeImages: TPngImageList;
    MainMenu: TMainMenu;
    ModuleActionList: TActionList;
    SmallImages: TPngImageList;
    procedure actMontajesDetalleExecute(Sender: TObject);
  public
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
  end;

implementation

{$R *.dfm}

uses
  Forms, Dialogs, SysUtils,
  uMontajesDetallesController, uBizMontajesDetalles, uMontajesDetalleViewRegister;

function GetModule : TModuleController;
begin
  Result := TPluginMontajesDetalle.Create(NIL);
end;

exports
  GetModule name GET_MODULE_FUNC;

procedure TPluginMontajesDetalle.actMontajesDetalleExecute(Sender: TObject);
var
  AMontajesDetalleController : IMontajesDetallesController;
  AMontajeDetalle : IBizMontajeDetalles;

begin
  AMontajesDetalleController := TMontajesDetallesController.Create;
  AMontajeDetalle := (AMontajesDetalleController.BuscarTodos as IBizMontajeDetalles);
  AMontajesDetalleController.VerTodos(AMontajeDetalle);
end;

constructor TPluginMontajesDetalle.Create(AOwner: TComponent);
begin
  inherited;
  uMontajesDetalleViewRegister.RegisterViews;
end;

destructor TPluginMontajesDetalle.Destroy;
begin
  uMontajesDetalleViewRegister.UnregisterViews;
  inherited;
end;

initialization
  RegisterModuleClass(TPluginMontajesDetalle);

finalization
  UnRegisterModuleClass(TPluginMontajesDetalle);

end.
